<form [formGroup]="aircraftForm" (ngSubmit)="onSubmit()">
  <div class="row align-items-end mb-5">
    <div class="col">
      <label for="type" class="form-label">
        Type
      </label>
      <select formControlName="type" class="form-control form-select">
        <option [value]="type.id" *ngFor="let type of types">{{ type.name }}</option>
      </select>
    </div>
    <div class="col">
      <label for="size" class="form-label">
        Size
      </label>
      <select formControlName="size" class="form-control form-select">
        <option [value]="size.id" *ngFor="let size of sizes">{{ size.name }}</option>
      </select>
    </div>
    <div class="col">
      <button class="btn btn-primary" type="submit">Create</button>
    </div>
  </div>
</form>

<table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">Type</th>
      <th scope="col">Size</th>
      <th scope="col">Processed</th>
      <th scope="col">Created At</th>
      <th scope="col">Updated At</th>
    </tr>
  </thead>
  <tbody>
    <tr
      *ngFor="let aircraft of aircrafts" [ngClass]="{'highlight': aircraft.highlight}">
      <td>{{ aircraft.id }}</td>
      <td>{{ aircraft.type }}</td>
      <td>{{ aircraft.size }}</td>
      <td>{{ aircraft.processed ? 'TRUE' : 'FALSE' }}</td>
      <td>{{ aircraft.createdAt | date: 'yyyy-MM-dd HH:mm:ss' }}</td>
      <td>{{ aircraft.updatedAt | date: 'yyyy-MM-dd HH:mm:ss' }}</td>
    </tr>
  </tbody>
</table>
<ngb-pagination [collectionSize]="pagination.total"
  [(page)]="pagination.current_page"
  [maxSize]="5"
  [rotate]="true"
  [boundaryLinks]="true"
  [pageSize]="pagination.per_page"
  (pageChange)="onPageChange($event)"
  class="d-flex justify-content-center">
</ngb-pagination>
<div class="row justify-content-md-center">
  <label for="type" class="col-sm-2 col-form-label">
    Items per page:
  </label>
  <div class="col-sm-2">
    <select [ngModel]="perPage" (ngModelChange)="onPerPageChange($event)" class="form-control form-select">
      <option *ngFor="let i of [10,20,50,100]">{{i}}</option>
    </select>
  </div>
</div>
<div class="clearfix pb-5"></div>